{% include rust2rpm_target ~ "-header.spec.inc" ignore missing %}
# Generated by rust2rpm {{ rust2rpm_version }}
%bcond_without check

Name:           {{ rpm_name }}
Version:        {{ rpm_version }}
Release:        {{ rpm_release }}
{% if rpm_summary is none %}
Summary:        # FIXME
{% else %}
Summary:        {{ rpm_summary }}
{% endif %}
{% if rpm_group is defined %}
Group:          {{ rpm_group }}
{% endif %}

License:        {{ rpm_license|default("# FIXME") }}
{% if rpm_license_comments is not none %}
{{ rpm_license_comments }}
{% endif %}
URL:            # FIXME
Source:         # FIXME

{% if rust2rpm_target != "fedora" %}
ExclusiveArch:  %{rust_arches}

{% endif %}
BuildRequires:  {{ rust_packaging_dep }}
{% if include_build_requires %}
  {% for req in rpm_buildrequires %}
BuildRequires:  {{ req }}
  {% endfor %}
  {% if rpm_test_requires|length > 0 %}
%if %{with check}
    {% for req in rpm_test_requires %}
BuildRequires:  {{ req }}
    {% endfor %}
%endif
  {% endif %}
  {% for req in conf_buildrequires %}
BuildRequires:  {{ req }}
  {% endfor %}
  {% if conf_test_requires %}
%if %{with check}
  {% for req in conf_test_requires %}
BuildRequires:  {{ req }}
  {% endfor %}
%endif
  {% endif %}
{% endif %}
{% for req in conf_bin_requires %}
Requires:       {{ req }}
{% endfor %}

%global _description %{expand:
{% if rpm_description is none %}
%{summary}.
{%- else %}
{{ rpm_description }}
{%- endif %}
}

%description %{_description}

%prep
%autosetup -n {{ rpm_name }}-%{version_no_tilde} -p1
%cargo_prep

{% if not include_build_requires %}
%generate_buildrequires
%cargo_generate_buildrequires{{ cargo_args }}
  {% for req in conf_buildrequires %}
echo {{ "%r" | format(req) }}
  {% endfor %}
  {% if conf_test_requires %}
%if %{with check}
  {% for req in conf_test_requires %}
echo {{ "%r" | format(req) }}
  {% endfor %}
%endif
  {% endif %}

{% endif -%}

%build
%cargo_build{{ cargo_args }}

%install
{% if rpm_cdylib_package and rpm_binary_names|length >= 1 %}
%cargo_install{{ cargo_args }}
# FIXME: install shared library
{% elif rpm_cdylib_package %}
# FIXME: install shared library
{% else %}
%cargo_install{{ cargo_args }}
{% endif %}

%if %{with check}
%check
%cargo_test{{ cargo_args }}
%endif

%files
  {% if rpm_license_files|length > 0 %}
    {% for file in rpm_license_files %}
%license {{ file }}
    {% endfor %}
  {% else %}
# FIXME: no license files detected
  {% endif %}
  {% for file in rpm_doc_files %}
%doc {{ file }}
  {% endfor %}
  {% for bin in rpm_binary_names %}
%{_bindir}/{{ bin }}
  {% endfor %}

%changelog
{% if use_rpmautospec %}
%autochangelog
{%- else %}
{%- if make_changelog_entry -%}

  {% include rust2rpm_target ~ "-changelog.spec.inc" %}
{% endif %}
{% endif %}
